//
//  BookCondition.h
//  iBal2
//
//  Created by Ken Kawamoto on Thu Aug 26 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Condition.h"

@class IO;
@class Book;

@interface BookCondition : Condition <NSCoding>{
}

//アーカイブから初期化
- (id)initWithCoder:(NSCoder *)coder;
//アーカイブにエンコード
- (void)encodeWithCoder:(NSCoder *)coder;

- (Book *)getBook;

//IO matches condition
- (BOOL)ioMatchesCondition:(IO *)record;

- (ConditionView *)conditionView;

@end
