//
//  BookCondition.m
//  iBal2
//
//  Created by Ken Kawamoto on Thu Aug 26 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import "BookCondition.h"
#import "IO.h"
#import "Book.h"
#import "BookConditionView.h"

@implementation BookCondition

//アーカイブから初期化
- (id)initWithCoder:(NSCoder *)coder{
	[super initWithCoder:coder];
	
	return self;
}
//アーカイブにエンコード
- (void)encodeWithCoder:(NSCoder *)coder{
	[super encodeWithCoder:coder];
}

- (Book *)getBook{
	if([super conditionTypeCode]==kCondition_is)
		return [super object];
	return nil;
}

//IO matches condition
- (BOOL)ioMatchesCondition:(IO *)record{
	BOOL result=[[super object2]includesObject:record];
	if([super conditionTypeCode]==kCondition_includes)
		return result;
	else if([super conditionTypeCode]==kCondition_notInclude)
		return !result;
	return YES;
}


- (ConditionView *)conditionView{
	BookConditionView *newView=[[BookConditionView alloc]init];
	
	//set the what ID
	[newView setWhatToID: conditionTypeCode];
	
	[newView setBook:object];
	
	return newView;
}

@end
