//
//  AndConditions.h
//  iBal2
//
//  Created by Ken Kawamoto on Thu Aug 26 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Condition.h"

//"AND" group of conditions

@class IO;
@class Book;

@interface AndConditions : Condition <NSCoding>{
	NSMutableArray *conditions;
}

//アーカイブから初期化
- (id)initWithCoder:(NSCoder *)coder;
//アーカイブにエンコード
- (void)encodeWithCoder:(NSCoder *)coder;

- (void)addCondition:(Condition *)newCondition;
- (NSMutableArray *)children;

- (Book *)getBook;
- (AndConditions *)copy;

//IO matches condition
- (BOOL)ioMatchesCondition:(IO *)record;

- (ConditionView *)conditionView;

@end
