//
//  CommentCondition.h
//  iBal2
//
//  Created by Ken Kawamoto on Thu Aug 26 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "Condition.h"

@class IO;

@interface CommentCondition : Condition <NSCoding>{
}

//アーカイブから初期化
- (id)initWithCoder:(NSCoder *)coder;
//アーカイブにエンコード
- (void)encodeWithCoder:(NSCoder *)coder;

//IO matches condition
- (BOOL)ioMatchesCondition:(IO *)record;

- (BOOL)checkIncludes:(IO *)record;
- (BOOL)checkStartsWith:(IO *)record;
- (BOOL)checkEndsWith:(IO *)record;

- (ConditionView *)conditionView;

@end
