//
//  ConditionEditWindow.m
//  iBal2
//
//  Created by Ken Kawamoto on Sun Aug 29 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import "ConditionEditWindow.h"
#import "ConditionView.h"
#import "ConditionEditWindowController.h"

@implementation ConditionEditWindow

//adjust the window size according to the root view
- (void)sizeToFit{
	ConditionView *rootView=[conditionEditWindowController rootView];
	//get the position of the root view
	NSRect rootBounds;
	rootBounds=[rootView frame];
	NSPoint origin=NSMakePoint(kConditionWindowBorder_Left,kConditionWindowBorder_Bottom);
	rootBounds.origin=origin;
	
	//get my size and position
	NSRect windowBounds=[self frame];
	float topY=windowBounds.origin.y+windowBounds.size.height;
	float middleX=windowBounds.origin.x+windowBounds.size.width/2;
	windowBounds.size=NSMakeSize(kConditionWindowBorder_Left+kConditionWindowBorder_Right+rootBounds.size.width,
								 kConditionWindowBorder_Top+kConditionWindowBorder_Bottom+rootBounds.size.height);
	windowBounds=[self frameRectForContentRect:windowBounds];
	windowBounds.origin=NSMakePoint(middleX-windowBounds.size.width/2,topY-windowBounds.size.height);
	
	//now actually do it
	[self setFrame:windowBounds  display:YES animate:NO];
	[rootView setFrame:rootBounds];
}

@end
