//
//  ConditionEditWindowController.h
//  iBal2
//
//  Created by Ken Kawamoto on Tue Aug 24 2004.
//  Copyright (c) 2004 AngryFish. All rights reserved.
//

#import <Foundation/Foundation.h>

@class DataRoot;
@class SmartBook;
@class ConditionView;

@interface ConditionEditWindowController : NSWindowController {
	DataRoot *dataRoot;
	SmartBook *currentBook;
	
	ConditionView *rootView;
}

//共有インスタンス
+ (id)sharedConditionEditWindowController;

- (void)editSmartPlaylist:(SmartBook *)book;
- (void)openWindowAsSheetOf:(NSWindow *)aWindow;

- (IBAction)okClicked:(id)sender;
- (IBAction)cancelClicked:(id)sender;

- (ConditionView *)rootView;
- (void)setRootView:(ConditionView *)newRootView;

- (void)setRootAndViewWith:(ConditionView *)child;
- (void)setRootOrViewWith:(ConditionView *)child;

- (void)setRootUsingSmartBook;
- (BOOL)setConditionUsingRoot;

@end
